"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useBrixSetter = void 0;

var _react = require("react");

var _BrixProvider = require("./BrixProvider");

var _helpers = require("./helpers");

var useBrixSetter = function useBrixSetter(customContext) {
  var _useContext = (0, _react.useContext)(customContext || (0, _BrixProvider.getBrixContext)()),
      setState = _useContext.setState;

  var set = function set(path, updatedValue) {
    return setState(function (state) {
      return state.setIn(path, (0, _helpers.coerceDataToImmutable)(updatedValue));
    });
  };

  return set;
};

exports.useBrixSetter = useBrixSetter;